## org.jCharts.imageMap
Class PolyMapArea

    java.lang.Object
      org.jCharts.imageMap.ImageMapArea
          org.jCharts.imageMap.PolyMapArea

All Implemented Interfaces:
  Serializable

    public final class PolyMapArea

extends ImageMapArea
implements Serializable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jCharts.imageMap.ImageMapArea
`x, y`

Constructor Summary
`PolyMapArea(int numberOfPoints, double value, String xAxisLabel, String legendLabel)`

Method Summary
`void` `addCoordinate(int index, float x, float y)` Adds the x, y coordinate at the specified index.
`AreaShape` `getAreaShape()`

Methods inherited from class org.jCharts.imageMap.ImageMapArea
`getCoordinates, getLengendLabel, getNumberOfCoordinates, getValue, getXAxisLabel, getXCoordinate, getYCoordinate, toHTML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolyMapArea

    public PolyMapArea(int numberOfPoints,
                       double value,
                       String xAxisLabel,
                       String legendLabel)

Parameters:
  `numberOfPoints` -
  `value` -
  `areaType` -

Method Detail

### addCoordinate

    public void addCoordinate(int index,
                              float x,
                              float y)

  Adds the x, y coordinate at the specified index. Not added as a Point Object so we can avoid uneeded Object creation/destruction overhead.

  Parameters:
    `index` -
    `x` -
    `y` -

### getAreaShape

    public AreaShape getAreaShape()

  Specified by:
    `getAreaShape` in class `ImageMapArea`
  Returns:
    AreaShape